### Constructor

# Lasem DomDocument new_from_memory

#### Declaration [src]

    LsmDomDocument*
    lsm_dom_document_new_from_memory (
      const char* buffer,
      gssize size,
      GError** error
    )

#### Description [src]

Create a new document from a memory data buffer.

#### Parameters

`buffer`

  Type: `const char*`

  Xml data.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `gssize`

  Size of the data, in bytes, -1 if NULL terminated.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `LsmDomDocument`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.